
Name:          hessian
Version:       3.0.8
Release:       %mkrel 1
Summary:       Hessian binary web service protocol
Group:         Development/Java
License:       ASL 1.1
Url:           http://hessian.caucho.com/
Source0:       http://caucho.com/download/hessian-%{version}-src.tar.bz2
Source1:       hessian-%{version}-build.xml
Patch0:        hessian-3.0.8-alt-java5fix.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: servletapi5

Requires:      servletapi5

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Hessian binary web service protocol makes web
services usable without requiring a large framework,
and without learning yet another alphabet soup of
protocols. Because it is a binary protocol, it is
well-suited to sending binary data without any need
to extend the protocol with attachments.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

mkdir src
mv com src

cp %{SOURCE1} build.xml
%patch0 -p1

%build

export CLASSPATH=$(build-classpath servletapi5):target/classes
ant -Dbuild.sysclasspath="only" dist

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 target/hessian-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Oct 05 2011 gil <gil> 3.0.8-1.mga2
+ Revision: 151866
- imported package hessian

